package jp.ac.nii.icpc2010.players;

import jp.ac.nii.icpc2010.players.AbstractPlayer;
import jp.ac.nii.icpc2010.playfield.FieldDirection;
import jp.ac.nii.icpc2010.playfield.IPlayField;

// for TimeKeeper debugging.
public class SlowPlayer extends AbstractPlayer{
	private int counter = 0;

	public SlowPlayer(int id, IPlayField playField) {
		super(id, playField);
	}

	public FieldDirection getInput(){
		this.counter++;
		int max = (this.counter / 10) * 1000;
		if(this.counter % 10 == 0){
			/*
			if (!om.isTournamentMode())
				System.out.println(getClass() + " " + max);
				*/
		}
		int x = 0;
		for (int i = 0; i < max; i++) {
			for (int j = 0; j < max; j++) {
				x += (int) (j * i * Math.random());
			}
		}
		
		/*
		if (!om.isTournamentMode())
			System.out.println(getClass() + " complete");
		*/

		return FieldDirection.Up;
	}
}
